Skip to main content
POST
/
v2
/
admin
/
reporting
/
virtual-receptionist
/
stats
Admin VR Stats
curl --request POST \
  --url https://api.voxo.co/v2/admin/reporting/virtual-receptionist/stats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vrId": 123,
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "results": [
    {
      "option": "<string>",
      "total": 123,
      "distribution": "<string>"
    }
  ],
  "vrId": 123,
  "date": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
vrId
number
required

Virtual receptionist ID

startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

distribution

Time distribution grouping (daily, weekly, monthly, or totals)

Available options:
weekly
tag
string[]

Filter by call tags

Minimum array length: 1
callOutcome
number[]

Filter by call outcome IDs

Minimum array length: 1
dialed
string[]

Filter by dialed numbers

Response

VR statistics or export acknowledgement

Virtual receptionist statistics

results
object[]
required

Virtual receptionist statistics

vrId
number

Virtual receptionist ID

date
string

Distribution date